Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java
Interface GLUFunc14

All Superinterfaces:
  GLUEnum, GLUFunc

All Known Implementing Classes:
  GLUFunc14JauJNI

public interface GLUFunc14
extends GLUFunc

The base interface for GLU native function mapping

Version:
  2.00, 21. April 1999
Author:
  Sven Goethel

Fields inherited from interface gl4java.GLUEnum
`GLU_AUTO_LOAD_MATRIX, GLU_BEGIN, GLU_CCW, GLU_CULLING, GLU_CW, GLU_DISPLAY_MODE, GLU_DOMAIN_DISTANCE, GLU_EDGE_FLAG, GLU_END, GLU_ERROR, GLU_EXTENSIONS, GLU_EXTERIOR, GLU_FALSE, GLU_FILL, GLU_FLAT, GLU_INSIDE, GLU_INTERIOR, GLU_INVALID_ENUM, GLU_INVALID_OPERATION, GLU_INVALID_VALUE, GLU_LINE, GLU_MAP1_TRIM_2, GLU_MAP1_TRIM_3, GLU_NONE, GLU_NURBS_BEGIN, GLU_NURBS_BEGIN_DATA, GLU_NURBS_BEGIN_DATA_EXT, GLU_NURBS_BEGIN_EXT, GLU_NURBS_COLOR, GLU_NURBS_COLOR_DATA, GLU_NURBS_COLOR_DATA_EXT, GLU_NURBS_COLOR_EXT, GLU_NURBS_END, GLU_NURBS_END_DATA, GLU_NURBS_END_DATA_EXT, GLU_NURBS_END_EXT, GLU_NURBS_ERROR, GLU_NURBS_ERROR1, GLU_NURBS_ERROR10, GLU_NURBS_ERROR11, GLU_NURBS_ERROR12, GLU_NURBS_ERROR13, GLU_NURBS_ERROR14, GLU_NURBS_ERROR15, GLU_NURBS_ERROR16, GLU_NURBS_ERROR17, GLU_NURBS_ERROR18, GLU_NURBS_ERROR19, GLU_NURBS_ERROR2, GLU_NURBS_ERROR20, GLU_NURBS_ERROR21, GLU_NURBS_ERROR22, GLU_NURBS_ERROR23, GLU_NURBS_ERROR24, GLU_NURBS_ERROR25, GLU_NURBS_ERROR26, GLU_NURBS_ERROR27, GLU_NURBS_ERROR28, GLU_NURBS_ERROR29, GLU_NURBS_ERROR3, GLU_NURBS_ERROR30, GLU_NURBS_ERROR31, GLU_NURBS_ERROR32, GLU_NURBS_ERROR33, GLU_NURBS_ERROR34, GLU_NURBS_ERROR35, GLU_NURBS_ERROR36, GLU_NURBS_ERROR37, GLU_NURBS_ERROR4, GLU_NURBS_ERROR5, GLU_NURBS_ERROR6, GLU_NURBS_ERROR7, GLU_NURBS_ERROR8, GLU_NURBS_ERROR9, GLU_NURBS_MODE, GLU_NURBS_MODE_EXT, GLU_NURBS_NORMAL, GLU_NURBS_NORMAL_DATA, GLU_NURBS_NORMAL_DATA_EXT, GLU_NURBS_NORMAL_EXT, GLU_NURBS_RENDERER, GLU_NURBS_RENDERER_EXT, GLU_NURBS_TESSELLATOR, GLU_NURBS_TESSELLATOR_EXT, GLU_NURBS_TEX_COORD_DATA_EXT, GLU_NURBS_TEX_COORD_EXT, GLU_NURBS_TEXTURE_COORD, GLU_NURBS_TEXTURE_COORD_DATA, GLU_NURBS_VERTEX, GLU_NURBS_VERTEX_DATA, GLU_NURBS_VERTEX_DATA_EXT, GLU_NURBS_VERTEX_EXT, GLU_OBJECT_PARAMETRIC_ERROR, GLU_OBJECT_PARAMETRIC_ERROR_EXT, GLU_OBJECT_PATH_LENGTH, GLU_OBJECT_PATH_LENGTH_EXT, GLU_OUT_OF_MEMORY, GLU_OUTLINE_PATCH, GLU_OUTLINE_POLYGON, GLU_OUTSIDE, GLU_PARAMETRIC_ERROR, GLU_PARAMETRIC_TOLERANCE, GLU_PATH_LENGTH, GLU_POINT, GLU_SAMPLING_METHOD, GLU_SAMPLING_TOLERANCE, GLU_SILHOUETTE, GLU_SMOOTH, GLU_TESS_BEGIN, GLU_TESS_BEGIN_DATA, GLU_TESS_BOUNDARY_ONLY, GLU_TESS_COMBINE, GLU_TESS_COMBINE_DATA, GLU_TESS_COORD_TOO_LARGE, GLU_TESS_EDGE_FLAG, GLU_TESS_EDGE_FLAG_DATA, GLU_TESS_END, GLU_TESS_END_DATA, GLU_TESS_ERROR, GLU_TESS_ERROR_DATA, GLU_TESS_ERROR1, GLU_TESS_ERROR2, GLU_TESS_ERROR3, GLU_TESS_ERROR4, GLU_TESS_ERROR5, GLU_TESS_ERROR6, GLU_TESS_ERROR7, GLU_TESS_ERROR8, GLU_TESS_MAX_COORD, GLU_TESS_MISSING_BEGIN_CONTOUR, GLU_TESS_MISSING_BEGIN_POLYGON, GLU_TESS_MISSING_END_CONTOUR, GLU_TESS_MISSING_END_POLYGON, GLU_TESS_NEED_COMBINE_CALLBACK, GLU_TESS_TOLERANCE, GLU_TESS_VERTEX, GLU_TESS_VERTEX_DATA, GLU_TESS_WINDING_ABS_GEQ_TWO, GLU_TESS_WINDING_NEGATIVE, GLU_TESS_WINDING_NONZERO, GLU_TESS_WINDING_ODD, GLU_TESS_WINDING_POSITIVE, GLU_TESS_WINDING_RULE, GLU_U_STEP, GLU_UNKNOWN, GLU_V_STEP, GLU_VERSION, GLU_VERTEX`

Method Summary
`java.lang.String` | `getClassVendor()`
`java.lang.String` | `getClassVersion()`
`java.lang.String` | `getNativeVendor()`
`java.lang.String` | `getNativeVersion()`
`void` | `gluBeginCurve(long nurb)` Original Function-Prototype :
`void` | `gluBeginPolygon(long tess)` Original Function-Prototype :
`void` | `gluBeginSurface(long nurb)` Original Function-Prototype :
`void` | `gluBeginTrim(long nurb)` Original Function-Prototype :
`int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int level, int base, int max, boolean[] data)`
`int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int level, int base, int max, gl4java.Buffer data)`
`int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int level, int base, int max, byte[] data)` Original Function-Prototype :
`int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int level, int base, int max, double[] data)`
`int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int level, int base, int max, float[] data)`
`int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int level, int base, int max, int[] data)`
`int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int level, int base, int max, long[] data)`
`int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int level, int base, int max, short[] data)`
`int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, boolean[] data)`
`int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, gl4java.Buffer data)`
`int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, byte[] data)` Original Function-Prototype :
`int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, double[] data)`
`int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, float[] data)`
`int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, int[] data)`
`int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, long[] data)`
`int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, short[] data)`
`int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int level, int base, int max, boolean[] data)`
`int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int level, int base, int max, gl4java.Buffer data)`
`int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int level, int base, int max, byte[] data)` Original Function-Prototype :
`int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int level, int base, int max, double[] data)`
`int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int level, int base, int max, float[] data)`
`int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int level, int base, int max, int[] data)`
`int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int level, int base, int max, long[] data)`
`int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int level, int base, int max, short[] data)`
`int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, boolean[] data)`
`int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, gl4java.Buffer data)`
`int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, byte[] data)` Original Function-Prototype :
`int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, double[] data)`
`int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, float[] data)`
`int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, int[] data)`
`int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, long[] data)`
`int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, short[] data)`
`int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int level, int base, int max, boolean[] data)`
`int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int level, int base, int max, gl4java.Buffer data)`
`int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int level, int base, int max, byte[] data)` Original Function-Prototype :
`int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int level, int base, int max, double[] data)`
`int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int level, int base, int max, float[] data)`
`int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int level, int base, int max, int[] data)`
`int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int level, int base, int max, long[] data)`
`int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int level, int base, int max, short[] data)`
`int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, boolean[] data)`
`int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, gl4java.Buffer data)`
`int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, byte[] data)` Original Function-Prototype :
`int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, double[] data)`
`int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, float[] data)`
`int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, int[] data)`
`int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, long[] data)`
`int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, short[] data)`
`boolean` | `gluCheckExtension(byte[] extName, byte[] extString)` Original Function-Prototype :
`void` | `gluCylinder(long quad, double base, double top, double height, int slices, int stacks)` Original Function-Prototype :
`void` | `gluDeleteNurbsRenderer(long nobj)`
`void` | `gluDeleteQuadric(long qobj)`
`void` | `gluDeleteTess(long tobj)`
`void` | `gluDisk(long quad, double inner, double outer, int slices, int loops)` Original Function-Prototype :
`void` | `gluEndCurve(long nurb)` Original Function-Prototype :
`void` | `gluEndPolygon(long tess)` Original Function-Prototype :
`void` | `gluEndSurface(long nurb)` Original Function-Prototype :
`void` | `gluEndTrim(long nurb)` Original Function-Prototype :
`java.lang.String` | `gluErrorString(int errorCode)`
`void` | `gluGetNurbsProperty(long nurb, int property, float[] data)` Original Function-Prototype :
`java.lang.String` | `gluGetString(int name)`
`void` | `gluGetTessProperty(long tess, int which, double[] data)` Original Function-Prototype :
`void` | `gluLoadSamplingMatrices(long nurb, float[] model, float[] perspective, int[] view)` Original Function-Prototype :
`void` | `gluLookAt(double eyeX, double eyeY, double eyeZ, double centerX, double centerY, double centerZ, double upX, double upY, double upZ)` Original Function-Prototype :
`long` | `gluNewNurbsRenderer()`
`long` | `gluNewQuadric()`
`long` | `gluNewTess()`
`void` | `gluNextContour(long tess, int type)` Original Function-Prototype :
`void` | `gluNurbsCallback(long nobj, int which, java.lang.Object methodClassInstance, java.lang.String methodName, java.lang.String signature)`
`void` | `gluNurbsCurve(long nurb, int knotCount, float[] knots, int stride, float[] control, int order, int type)` Original Function-Prototype :
`void` | `gluNurbsProperty(long nurb, int property, float value)` Original Function-Prototype :
`void` | `gluNurbsSurface(long nurb, int sKnotCount, float[] sKnots, int tKnotCount, float[] tKnots, int sStride, int tStride, float[] control, int sOrder, int tOrder, int type)` Original Function-Prototype :
`void` | `gluOrtho2D(double left, double right, double bottom, double top)` Original Function-Prototype :
`void` | `gluPartialDisk(long quad, double inner, double outer, int slices, int loops, double start, double sweep)` Original Function-Prototype :
`void` | `gluPerspective(double fovy, double aspect, double zNear, double zFar)` Original Function-Prototype :
`void` | `gluPickMatrix(double x, double y, double delX, double delY, int[] viewport)` Original Function-Prototype :
`int` | `gluProject(double[] obj, double[] modelMatrix, double[] projMatrix, int[] viewport, double[] win)` Wrapper for original gluProject, where the orig.
`int` | `gluProject(double objx, double objy, double objz, double[] modelMatrix, double[] projMatrix, int[] viewport, double[] win)` Wrapper for original gluProject, where the orig.
`int` | `gluProject(double objX, double objY, double objZ, double[] model, double[] proj, int[] view, double[] winX, double[] winY, double[] winZ)` Original Function-Prototype :
`void` | `gluPwlCurve(long nurb, int count, float[] data, int stride, int type)` Original Function-Prototype :
`void` | `gluQuadricCallback(long qobj, int which, java.lang.Object methodClassInstance, java.lang.String methodName, java.lang.String signature)`
`void` | `gluQuadricDrawStyle(long quad, int draw)` Original Function-Prototype :
`void` | `gluQuadricNormals(long quad, int normal)` Original Function-Prototype :
`void` | `gluQuadricOrientation(long quad, int orientation)` Original Function-Prototype :
`void` | `gluQuadricTexture(long quad, boolean texture)` Original Function-Prototype :
`int` | `gluScaleImage(int format, int wIn, int hIn, int typeIn, boolean[] dataIn, int wOut, int hOut, int typeOut, boolean[] dataOut)`
`int` | `gluScaleImage(int format, int wIn, int hIn, int typeIn, gl4java.Buffer dataIn, int wOut, int hOut, int typeOut, gl4java.Buffer dataOut)`
`int` | `gluScaleImage(int format, int wIn, int hIn, int typeIn, byte[] dataIn, int wOut, int hOut, int typeOut, byte[] dataOut)` Original Function-Prototype :
`int` | `gluScaleImage(int format, int wIn, int hIn, int typeIn, double[] dataIn, int wOut, int hOut, int typeOut, double[] dataOut)`
`int` | `gluScaleImage(int format, int wIn, int hIn, int typeIn, float[] dataIn, int wOut, int hOut, int typeOut, float[] dataOut)`
`int` | `gluScaleImage(int format, int wIn, int hIn, int typeIn, int[] dataIn, int wOut, int hOut, int typeOut, int[] dataOut)`
`int` | `gluScaleImage(int format, int wIn, int hIn, int typeIn, long[] dataIn, int wOut, int hOut, int typeOut, long[] dataOut)`
`int` | `gluScaleImage(int format, int wIn, int hIn, int typeIn, short[] dataIn, int wOut, int hOut, int typeOut, short[] dataOut)`
`void` | `gluSphere(long quad, double radius, int slices, int stacks)` Original Function-Prototype :
`void` | `gluTessBeginContour(long tess)` Original Function-Prototype :
`void` | `gluTessBeginPolygon(long tess, boolean[] data)`
`void` | `gluTessBeginPolygon(long tess, gl4java.Buffer data)`
`void` | `gluTessBeginPolygon(long tess, byte[] data)` Original Function-Prototype :
`void` | `gluTessBeginPolygon(long tess, double[] data)`
`void` | `gluTessBeginPolygon(long tess, float[] data)`
`void` | `gluTessBeginPolygon(long tess, int[] data)`
`void` | `gluTessBeginPolygon(long tess, long[] data)`
`void` | `gluTessBeginPolygon(long tess, short[] data)`
`void` | `gluTessCallback(long tobj, int which, java.lang.Object methodClassInstance, java.lang.String methodName, java.lang.String signature, int voidArrayLen1, int voidArrayLen2, int voidArrayLen3, int voidArrayLen4, int voidArrayLen5)`
`void` | `gluTessEndContour(long tess)` Original Function-Prototype :
`void` | `gluTessEndPolygon(long tess)` Original Function-Prototype :
`void` | `gluTessNormal(long tess, double valueX, double valueY, double valueZ)` Original Function-Prototype :
`void` | `gluTessProperty(long tess, int which, double data)` Original Function-Prototype :
`void` | `gluTessVertex(long tess, double[] location, boolean[] data)`
`void` | `gluTessVertex(long tess, double[] location, gl4java.Buffer data)`
`void` | `gluTessVertex(long tess, double[] location, byte[] data)` Original Function-Prototype :
`void` | `gluTessVertex(long tess, double[] location, double[] data)`
`void` | `gluTessVertex(long tess, double[] location, float[] data)`
`void` | `gluTessVertex(long tess, double[] location, int[] data)`
`void` | `gluTessVertex(long tess, double[] location, long[] data)`
`void` | `gluTessVertex(long tess, double[] location, short[] data)`
`int` | `gluUnProject(double[] win, double[] modelMatrix, double[] projMatrix, int[] viewport, double[] obj)` Wrapper for original gluUnProject, where the orig.
`int` | `gluUnProject(double winx, double winy, double winz, double[] modelMatrix, double[] projMatrix, int[] viewport, double[] obj)` Wrapper for original gluUnProject, where the orig.
`int` | `gluUnProject(double winX, double winY, double winZ, double[] model, double[] proj, int[] view, double[] objX, double[] objY, double[] objZ)` Original Function-Prototype :
`int` | `gluUnProject4(double winX, double winY, double winZ, double clipW, double[] model, double[] proj, int[] view, double nearVal, double farVal, double[] objX, double[] objY, double[] objZ, double[] objW)` Original Function-Prototype :

Method Detail

### gluErrorString

    public java.lang.String gluErrorString(int errorCode)

  Specified by:
    `gluErrorString` in interface `GLUFunc`

### gluGetString

    public java.lang.String gluGetString(int name)

  Specified by:
    `gluGetString` in interface `GLUFunc`

### getNativeVendor

    public java.lang.String getNativeVendor()

  Specified by:
    `getNativeVendor` in interface `GLUFunc`

### getNativeVersion

    public java.lang.String getNativeVersion()

  Specified by:
    `getNativeVersion` in interface `GLUFunc`

### getClassVendor

    public java.lang.String getClassVendor()

  Specified by:
    `getClassVendor` in interface `GLUFunc`

### getClassVersion

    public java.lang.String getClassVersion()

  Specified by:
    `getClassVersion` in interface `GLUFunc`

### gluNewQuadric

    public long gluNewQuadric()

  Specified by:
    `gluNewQuadric` in interface `GLUFunc`

### gluNewNurbsRenderer

    public long gluNewNurbsRenderer()

  Specified by:
    `gluNewNurbsRenderer` in interface `GLUFunc`

### gluNewTess

    public long gluNewTess()

  Specified by:
    `gluNewTess` in interface `GLUFunc`

### gluQuadricCallback

    public void gluQuadricCallback(long qobj,
                                   int which,
                                   java.lang.Object methodClassInstance,
                                   java.lang.String methodName,
                                   java.lang.String signature)

  Specified by:
    `gluQuadricCallback` in interface `GLUFunc`

### gluNurbsCallback

    public void gluNurbsCallback(long nobj,
                                 int which,
                                 java.lang.Object methodClassInstance,
                                 java.lang.String methodName,
                                 java.lang.String signature)

  Specified by:
    `gluNurbsCallback` in interface `GLUFunc`

### gluTessCallback

    public void gluTessCallback(long tobj,
                                int which,
                                java.lang.Object methodClassInstance,
                                java.lang.String methodName,
                                java.lang.String signature,
                                int voidArrayLen1,
                                int voidArrayLen2,
                                int voidArrayLen3,
                                int voidArrayLen4,
                                int voidArrayLen5)

  Specified by:
    `gluTessCallback` in interface `GLUFunc`

### gluDeleteQuadric

    public void gluDeleteQuadric(long qobj)

  Specified by:
    `gluDeleteQuadric` in interface `GLUFunc`

### gluDeleteNurbsRenderer

    public void gluDeleteNurbsRenderer(long nobj)

  Specified by:
    `gluDeleteNurbsRenderer` in interface `GLUFunc`

### gluDeleteTess

    public void gluDeleteTess(long tobj)

  Specified by:
    `gluDeleteTess` in interface `GLUFunc`

### gluProject

    public int gluProject(double[] obj,
                          double[] modelMatrix,
                          double[] projMatrix,
                          int[] viewport,
                          double[] win)

  Wrapper for original gluProject, where the orig. last three arguments are wrapped mapped in one array: (winx[1], winy[1], winz[1]) <-> win[3]
  Specified by:
    `gluProject` in interface `GLUFunc`
  Parameters:
    `obj` - array of the three obj x,y,z input components
    `win` - array of the three win x,y,z output components
  See Also:
    `GLUFunc.gluProject(double[], double[], double[], int[], double[])`

### gluProject

    public int gluProject(double objx,
                          double objy,
                          double objz,
                          double[] modelMatrix,
                          double[] projMatrix,
                          int[] viewport,
                          double[] win)

  Wrapper for original gluProject, where the orig. last three arguments are wrapped mapped in one array: (winx[1], winy[1], winz[1]) <-> win[3]
  Specified by:
    `gluProject` in interface `GLUFunc`
  Parameters:
    `win` - array of the three win x,y,z output components
  See Also:
    `GLUFunc.gluProject(double[], double[], double[], int[], double[])`

### gluUnProject

    public int gluUnProject(double[] win,
                            double[] modelMatrix,
                            double[] projMatrix,
                            int[] viewport,
                            double[] obj)

  Wrapper for original gluUnProject, where the orig. last three arguments are wrapped mapped in one array: (objx[1], objy[1], objz[1]) <-> obj[3]
  Specified by:
    `gluUnProject` in interface `GLUFunc`
  Parameters:
    `win` - array of the three win x,y,z input components
    `obj` - array of the three obj x,y,z output components
  See Also:
    `GLUFunc.gluUnProject(double[], double[], double[], int[], double[])`

### gluUnProject

    public int gluUnProject(double winx,
                            double winy,
                            double winz,
                            double[] modelMatrix,
                            double[] projMatrix,
                            int[] viewport,
                            double[] obj)

  Wrapper for original gluUnProject, where the orig. last three arguments are wrapped mapped in one array: (objx[1], objy[1], objz[1]) <-> obj[3]
  Specified by:
    `gluUnProject` in interface `GLUFunc`
  Parameters:
    `obj` - array of the three obj x,y,z output components
  See Also:
    `GLUFunc.gluUnProject(double[], double[], double[], int[], double[])`

### gluBeginCurve

    public void gluBeginCurve(long nurb)

  Original Function-Prototype :

      extern void gluBeginCurve ( GLUnurbs * nurb ) ;

  Specified by:
    `gluBeginCurve` in interface `GLUFunc`

### gluBeginPolygon

    public void gluBeginPolygon(long tess)

  Original Function-Prototype :

      extern void gluBeginPolygon ( GLUtesselator * tess ) ;

  Specified by:
    `gluBeginPolygon` in interface `GLUFunc`

### gluBeginSurface

    public void gluBeginSurface(long nurb)

  Original Function-Prototype :

      extern void gluBeginSurface ( GLUnurbs * nurb ) ;

  Specified by:
    `gluBeginSurface` in interface `GLUFunc`

### gluBeginTrim

    public void gluBeginTrim(long nurb)

  Original Function-Prototype :

      extern void gluBeginTrim ( GLUnurbs * nurb ) ;

  Specified by:
    `gluBeginTrim` in interface `GLUFunc`

### gluBuild1DMipmapLevels

    public int gluBuild1DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      byte[] data)

  Original Function-Prototype :

      extern GLint gluBuild1DMipmapLevels ( GLenum target , GLint internalFormat , GLsizei width , GLenum format , GLenum type , GLint level , GLint base , GLint max , const void * data ) ;

  Specified by:
    `gluBuild1DMipmapLevels` in interface `GLUFunc`

### gluBuild1DMipmapLevels

    public int gluBuild1DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      short[] data)

  Specified by:
    `gluBuild1DMipmapLevels` in interface `GLUFunc`

### gluBuild1DMipmapLevels

    public int gluBuild1DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      int[] data)

  Specified by:
    `gluBuild1DMipmapLevels` in interface `GLUFunc`

### gluBuild1DMipmapLevels

    public int gluBuild1DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      float[] data)

  Specified by:
    `gluBuild1DMipmapLevels` in interface `GLUFunc`

### gluBuild1DMipmapLevels

    public int gluBuild1DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      double[] data)

  Specified by:
    `gluBuild1DMipmapLevels` in interface `GLUFunc`

### gluBuild1DMipmapLevels

    public int gluBuild1DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      boolean[] data)

  Specified by:
    `gluBuild1DMipmapLevels` in interface `GLUFunc`

### gluBuild1DMipmapLevels

    public int gluBuild1DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      long[] data)

  Specified by:
    `gluBuild1DMipmapLevels` in interface `GLUFunc`

### gluBuild1DMipmapLevels

    public int gluBuild1DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      gl4java.Buffer data)

### gluBuild1DMipmaps

    public int gluBuild1DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int format,
                                 int type,
                                 byte[] data)

  Original Function-Prototype :

      extern GLint gluBuild1DMipmaps ( GLenum target , GLint internalFormat , GLsizei width , GLenum format , GLenum type , const void * data ) ;

  Specified by:
    `gluBuild1DMipmaps` in interface `GLUFunc`

### gluBuild1DMipmaps

    public int gluBuild1DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int format,
                                 int type,
                                 short[] data)

  Specified by:
    `gluBuild1DMipmaps` in interface `GLUFunc`

### gluBuild1DMipmaps

    public int gluBuild1DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int format,
                                 int type,
                                 int[] data)

  Specified by:
    `gluBuild1DMipmaps` in interface `GLUFunc`

### gluBuild1DMipmaps

    public int gluBuild1DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int format,
                                 int type,
                                 float[] data)

  Specified by:
    `gluBuild1DMipmaps` in interface `GLUFunc`

### gluBuild1DMipmaps

    public int gluBuild1DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int format,
                                 int type,
                                 double[] data)

  Specified by:
    `gluBuild1DMipmaps` in interface `GLUFunc`

### gluBuild1DMipmaps

    public int gluBuild1DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int format,
                                 int type,
                                 boolean[] data)

  Specified by:
    `gluBuild1DMipmaps` in interface `GLUFunc`

### gluBuild1DMipmaps

    public int gluBuild1DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int format,
                                 int type,
                                 long[] data)

  Specified by:
    `gluBuild1DMipmaps` in interface `GLUFunc`

### gluBuild1DMipmaps

    public int gluBuild1DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int format,
                                 int type,
                                 gl4java.Buffer data)

### gluBuild2DMipmapLevels

    public int gluBuild2DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      byte[] data)

  Original Function-Prototype :

      extern GLint gluBuild2DMipmapLevels ( GLenum target , GLint internalFormat , GLsizei width , GLsizei height , GLenum format , GLenum type , GLint level , GLint base , GLint max , const void * data ) ;

  Specified by:
    `gluBuild2DMipmapLevels` in interface `GLUFunc`

### gluBuild2DMipmapLevels

    public int gluBuild2DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      short[] data)

  Specified by:
    `gluBuild2DMipmapLevels` in interface `GLUFunc`

### gluBuild2DMipmapLevels

    public int gluBuild2DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      int[] data)

  Specified by:
    `gluBuild2DMipmapLevels` in interface `GLUFunc`

### gluBuild2DMipmapLevels

    public int gluBuild2DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      float[] data)

  Specified by:
    `gluBuild2DMipmapLevels` in interface `GLUFunc`

### gluBuild2DMipmapLevels

    public int gluBuild2DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      double[] data)

  Specified by:
    `gluBuild2DMipmapLevels` in interface `GLUFunc`

### gluBuild2DMipmapLevels

    public int gluBuild2DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      boolean[] data)

  Specified by:
    `gluBuild2DMipmapLevels` in interface `GLUFunc`

### gluBuild2DMipmapLevels

    public int gluBuild2DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      long[] data)

  Specified by:
    `gluBuild2DMipmapLevels` in interface `GLUFunc`

### gluBuild2DMipmapLevels

    public int gluBuild2DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      gl4java.Buffer data)

### gluBuild2DMipmaps

    public int gluBuild2DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int format,
                                 int type,
                                 byte[] data)

  Original Function-Prototype :

      extern GLint gluBuild2DMipmaps ( GLenum target , GLint internalFormat , GLsizei width , GLsizei height , GLenum format , GLenum type , const void * data ) ;

  Specified by:
    `gluBuild2DMipmaps` in interface `GLUFunc`

### gluBuild2DMipmaps

    public int gluBuild2DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int format,
                                 int type,
                                 short[] data)

  Specified by:
    `gluBuild2DMipmaps` in interface `GLUFunc`

### gluBuild2DMipmaps

    public int gluBuild2DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int format,
                                 int type,
                                 int[] data)

  Specified by:
    `gluBuild2DMipmaps` in interface `GLUFunc`

### gluBuild2DMipmaps

    public int gluBuild2DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int format,
                                 int type,
                                 float[] data)

  Specified by:
    `gluBuild2DMipmaps` in interface `GLUFunc`

### gluBuild2DMipmaps

    public int gluBuild2DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int format,
                                 int type,
                                 double[] data)

  Specified by:
    `gluBuild2DMipmaps` in interface `GLUFunc`

### gluBuild2DMipmaps

    public int gluBuild2DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int format,
                                 int type,
                                 boolean[] data)

  Specified by:
    `gluBuild2DMipmaps` in interface `GLUFunc`

### gluBuild2DMipmaps

    public int gluBuild2DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int format,
                                 int type,
                                 long[] data)

  Specified by:
    `gluBuild2DMipmaps` in interface `GLUFunc`

### gluBuild2DMipmaps

    public int gluBuild2DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int format,
                                 int type,
                                 gl4java.Buffer data)

### gluBuild3DMipmapLevels

    public int gluBuild3DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int depth,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      byte[] data)

  Original Function-Prototype :

      extern GLint gluBuild3DMipmapLevels ( GLenum target , GLint internalFormat , GLsizei width , GLsizei height , GLsizei depth , GLenum format , GLenum type , GLint level , GLint base , GLint max , const void * data ) ;

  Specified by:
    `gluBuild3DMipmapLevels` in interface `GLUFunc`

### gluBuild3DMipmapLevels

    public int gluBuild3DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int depth,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      short[] data)

  Specified by:
    `gluBuild3DMipmapLevels` in interface `GLUFunc`

### gluBuild3DMipmapLevels

    public int gluBuild3DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int depth,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      int[] data)

  Specified by:
    `gluBuild3DMipmapLevels` in interface `GLUFunc`

### gluBuild3DMipmapLevels

    public int gluBuild3DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int depth,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      float[] data)

  Specified by:
    `gluBuild3DMipmapLevels` in interface `GLUFunc`

### gluBuild3DMipmapLevels

    public int gluBuild3DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int depth,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      double[] data)

  Specified by:
    `gluBuild3DMipmapLevels` in interface `GLUFunc`

### gluBuild3DMipmapLevels

    public int gluBuild3DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int depth,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      boolean[] data)

  Specified by:
    `gluBuild3DMipmapLevels` in interface `GLUFunc`

### gluBuild3DMipmapLevels

    public int gluBuild3DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int depth,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      long[] data)

  Specified by:
    `gluBuild3DMipmapLevels` in interface `GLUFunc`

### gluBuild3DMipmapLevels

    public int gluBuild3DMipmapLevels(int target,
                                      int internalFormat,
                                      int width,
                                      int height,
                                      int depth,
                                      int format,
                                      int type,
                                      int level,
                                      int base,
                                      int max,
                                      gl4java.Buffer data)

### gluBuild3DMipmaps

    public int gluBuild3DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int depth,
                                 int format,
                                 int type,
                                 byte[] data)

  Original Function-Prototype :

      extern GLint gluBuild3DMipmaps ( GLenum target , GLint internalFormat , GLsizei width , GLsizei height , GLsizei depth , GLenum format , GLenum type , const void * data ) ;

  Specified by:
    `gluBuild3DMipmaps` in interface `GLUFunc`

### gluBuild3DMipmaps

    public int gluBuild3DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int depth,
                                 int format,
                                 int type,
                                 short[] data)

  Specified by:
    `gluBuild3DMipmaps` in interface `GLUFunc`

### gluBuild3DMipmaps

    public int gluBuild3DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int depth,
                                 int format,
                                 int type,
                                 int[] data)

  Specified by:
    `gluBuild3DMipmaps` in interface `GLUFunc`

### gluBuild3DMipmaps

    public int gluBuild3DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int depth,
                                 int format,
                                 int type,
                                 float[] data)

  Specified by:
    `gluBuild3DMipmaps` in interface `GLUFunc`

### gluBuild3DMipmaps

    public int gluBuild3DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int depth,
                                 int format,
                                 int type,
                                 double[] data)

  Specified by:
    `gluBuild3DMipmaps` in interface `GLUFunc`

### gluBuild3DMipmaps

    public int gluBuild3DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int depth,
                                 int format,
                                 int type,
                                 boolean[] data)

  Specified by:
    `gluBuild3DMipmaps` in interface `GLUFunc`

### gluBuild3DMipmaps

    public int gluBuild3DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int depth,
                                 int format,
                                 int type,
                                 long[] data)

  Specified by:
    `gluBuild3DMipmaps` in interface `GLUFunc`

### gluBuild3DMipmaps

    public int gluBuild3DMipmaps(int target,
                                 int internalFormat,
                                 int width,
                                 int height,
                                 int depth,
                                 int format,
                                 int type,
                                 gl4java.Buffer data)

### gluCheckExtension

    public boolean gluCheckExtension(byte[] extName,
                                     byte[] extString)

  Original Function-Prototype :

      extern GLboolean gluCheckExtension ( const GLubyte * extName , const GLubyte * extString ) ;

  Specified by:
    `gluCheckExtension` in interface `GLUFunc`

### gluCylinder

    public void gluCylinder(long quad,
                            double base,
                            double top,
                            double height,
                            int slices,
                            int stacks)

  Original Function-Prototype :

      extern void gluCylinder ( GLUquadric * quad , GLdouble base , GLdouble top , GLdouble height , GLint slices , GLint stacks ) ;

  Specified by:
    `gluCylinder` in interface `GLUFunc`

### gluDisk

    public void gluDisk(long quad,
                        double inner,
                        double outer,
                        int slices,
                        int loops)

  Original Function-Prototype :

      extern void gluDisk ( GLUquadric * quad , GLdouble inner , GLdouble outer , GLint slices , GLint loops ) ;

  Specified by:
    `gluDisk` in interface `GLUFunc`

### gluEndCurve

    public void gluEndCurve(long nurb)

  Original Function-Prototype :

      extern void gluEndCurve ( GLUnurbs * nurb ) ;

  Specified by:
    `gluEndCurve` in interface `GLUFunc`

### gluEndPolygon

    public void gluEndPolygon(long tess)

  Original Function-Prototype :

      extern void gluEndPolygon ( GLUtesselator * tess ) ;

  Specified by:
    `gluEndPolygon` in interface `GLUFunc`

### gluEndSurface

    public void gluEndSurface(long nurb)

  Original Function-Prototype :

      extern void gluEndSurface ( GLUnurbs * nurb ) ;

  Specified by:
    `gluEndSurface` in interface `GLUFunc`

### gluEndTrim

    public void gluEndTrim(long nurb)

  Original Function-Prototype :

      extern void gluEndTrim ( GLUnurbs * nurb ) ;

  Specified by:
    `gluEndTrim` in interface `GLUFunc`

### gluGetNurbsProperty

    public void gluGetNurbsProperty(long nurb,
                                    int property,
                                    float[] data)

  Original Function-Prototype :

      extern void gluGetNurbsProperty ( GLUnurbs * nurb , GLenum property , GLfloat * data ) ;

  Specified by:
    `gluGetNurbsProperty` in interface `GLUFunc`

### gluGetTessProperty

    public void gluGetTessProperty(long tess,
                                   int which,
                                   double[] data)

  Original Function-Prototype :

      extern void gluGetTessProperty ( GLUtesselator * tess , GLenum which , GLdouble * data ) ;

  Specified by:
    `gluGetTessProperty` in interface `GLUFunc`

### gluLoadSamplingMatrices

    public void gluLoadSamplingMatrices(long nurb,
                                        float[] model,
                                        float[] perspective,
                                        int[] view)

  Original Function-Prototype :

      extern void gluLoadSamplingMatrices ( GLUnurbs * nurb , const GLfloat * model , const GLfloat * perspective , const GLint * view ) ;

  Specified by:
    `gluLoadSamplingMatrices` in interface `GLUFunc`

### gluLookAt

    public void gluLookAt(double eyeX,
                          double eyeY,
                          double eyeZ,
                          double centerX,
                          double centerY,
                          double centerZ,
                          double upX,
                          double upY,
                          double upZ)

  Original Function-Prototype :

      extern void gluLookAt ( GLdouble eyeX , GLdouble eyeY , GLdouble eyeZ , GLdouble centerX , GLdouble centerY , GLdouble centerZ , GLdouble upX , GLdouble upY , GLdouble upZ ) ;

  Specified by:
    `gluLookAt` in interface `GLUFunc`

### gluNextContour

    public void gluNextContour(long tess,
                               int type)

  Original Function-Prototype :

      extern void gluNextContour ( GLUtesselator * tess , GLenum type ) ;

  Specified by:
    `gluNextContour` in interface `GLUFunc`

### gluNurbsCurve

    public void gluNurbsCurve(long nurb,
                              int knotCount,
                              float[] knots,
                              int stride,
                              float[] control,
                              int order,
                              int type)

  Original Function-Prototype :

      extern void gluNurbsCurve ( GLUnurbs * nurb , GLint knotCount , GLfloat * knots , GLint stride , GLfloat * control , GLint order , GLenum type ) ;

  Specified by:
    `gluNurbsCurve` in interface `GLUFunc`

### gluNurbsProperty

    public void gluNurbsProperty(long nurb,
                                 int property,
                                 float value)

  Original Function-Prototype :

      extern void gluNurbsProperty ( GLUnurbs * nurb , GLenum property , GLfloat value ) ;

  Specified by:
    `gluNurbsProperty` in interface `GLUFunc`

### gluNurbsSurface

    public void gluNurbsSurface(long nurb,
                                int sKnotCount,
                                float[] sKnots,
                                int tKnotCount,
                                float[] tKnots,
                                int sStride,
                                int tStride,
                                float[] control,
                                int sOrder,
                                int tOrder,
                                int type)

  Original Function-Prototype :

      extern void gluNurbsSurface ( GLUnurbs * nurb , GLint sKnotCount , GLfloat * sKnots , GLint tKnotCount , GLfloat * tKnots , GLint sStride , GLint tStride , GLfloat * control , GLint sOrder , GLint tOrder , GLenum type ) ;

  Specified by:
    `gluNurbsSurface` in interface `GLUFunc`

### gluOrtho2D

    public void gluOrtho2D(double left,
                           double right,
                           double bottom,
                           double top)

  Original Function-Prototype :

      extern void gluOrtho2D ( GLdouble left , GLdouble right , GLdouble bottom , GLdouble top ) ;

  Specified by:
    `gluOrtho2D` in interface `GLUFunc`

### gluPartialDisk

    public void gluPartialDisk(long quad,
                               double inner,
                               double outer,
                               int slices,
                               int loops,
                               double start,
                               double sweep)

  Original Function-Prototype :

      extern void gluPartialDisk ( GLUquadric * quad , GLdouble inner , GLdouble outer , GLint slices , GLint loops , GLdouble start , GLdouble sweep ) ;

  Specified by:
    `gluPartialDisk` in interface `GLUFunc`

### gluPerspective

    public void gluPerspective(double fovy,
                               double aspect,
                               double zNear,
                               double zFar)

  Original Function-Prototype :

      extern void gluPerspective ( GLdouble fovy , GLdouble aspect , GLdouble zNear , GLdouble zFar ) ;

  Specified by:
    `gluPerspective` in interface `GLUFunc`

### gluPickMatrix

    public void gluPickMatrix(double x,
                              double y,
                              double delX,
                              double delY,
                              int[] viewport)

  Original Function-Prototype :

      extern void gluPickMatrix ( GLdouble x , GLdouble y , GLdouble delX , GLdouble delY , GLint * viewport ) ;

  Specified by:
    `gluPickMatrix` in interface `GLUFunc`

### gluProject

    public int gluProject(double objX,
                          double objY,
                          double objZ,
                          double[] model,
                          double[] proj,
                          int[] view,
                          double[] winX,
                          double[] winY,
                          double[] winZ)

  Original Function-Prototype :

      extern GLint gluProject ( GLdouble objX , GLdouble objY , GLdouble objZ , const GLdouble * model , const GLdouble * proj , const GLint * view , GLdouble * winX , GLdouble * winY , GLdouble * winZ ) ;

  Specified by:
    `gluProject` in interface `GLUFunc`

### gluPwlCurve

    public void gluPwlCurve(long nurb,
                            int count,
                            float[] data,
                            int stride,
                            int type)

  Original Function-Prototype :

      extern void gluPwlCurve ( GLUnurbs * nurb , GLint count , GLfloat * data , GLint stride , GLenum type ) ;

  Specified by:
    `gluPwlCurve` in interface `GLUFunc`

### gluQuadricDrawStyle

    public void gluQuadricDrawStyle(long quad,
                                    int draw)

  Original Function-Prototype :

      extern void gluQuadricDrawStyle ( GLUquadric * quad , GLenum draw ) ;

  Specified by:
    `gluQuadricDrawStyle` in interface `GLUFunc`

### gluQuadricNormals

    public void gluQuadricNormals(long quad,
                                  int normal)

  Original Function-Prototype :

      extern void gluQuadricNormals ( GLUquadric * quad , GLenum normal ) ;

  Specified by:
    `gluQuadricNormals` in interface `GLUFunc`

### gluQuadricOrientation

    public void gluQuadricOrientation(long quad,
                                      int orientation)

  Original Function-Prototype :

      extern void gluQuadricOrientation ( GLUquadric * quad , GLenum orientation ) ;

  Specified by:
    `gluQuadricOrientation` in interface `GLUFunc`

### gluQuadricTexture

    public void gluQuadricTexture(long quad,
                                  boolean texture)

  Original Function-Prototype :

      extern void gluQuadricTexture ( GLUquadric * quad , GLboolean texture ) ;

  Specified by:
    `gluQuadricTexture` in interface `GLUFunc`

### gluScaleImage

    public int gluScaleImage(int format,
                             int wIn,
                             int hIn,
                             int typeIn,
                             byte[] dataIn,
                             int wOut,
                             int hOut,
                             int typeOut,
                             byte[] dataOut)

  Original Function-Prototype :

      extern GLint gluScaleImage ( GLenum format , GLsizei wIn , GLsizei hIn , GLenum typeIn , const void * dataIn , GLsizei wOut , GLsizei hOut , GLenum typeOut , GLvoid * dataOut ) ;

  Specified by:
    `gluScaleImage` in interface `GLUFunc`

### gluScaleImage

    public int gluScaleImage(int format,
                             int wIn,
                             int hIn,
                             int typeIn,
                             short[] dataIn,
                             int wOut,
                             int hOut,
                             int typeOut,
                             short[] dataOut)

  Specified by:
    `gluScaleImage` in interface `GLUFunc`

### gluScaleImage

    public int gluScaleImage(int format,
                             int wIn,
                             int hIn,
                             int typeIn,
                             int[] dataIn,
                             int wOut,
                             int hOut,
                             int typeOut,
                             int[] dataOut)

  Specified by:
    `gluScaleImage` in interface `GLUFunc`

### gluScaleImage

    public int gluScaleImage(int format,
                             int wIn,
                             int hIn,
                             int typeIn,
                             float[] dataIn,
                             int wOut,
                             int hOut,
                             int typeOut,
                             float[] dataOut)

  Specified by:
    `gluScaleImage` in interface `GLUFunc`

### gluScaleImage

    public int gluScaleImage(int format,
                             int wIn,
                             int hIn,
                             int typeIn,
                             double[] dataIn,
                             int wOut,
                             int hOut,
                             int typeOut,
                             double[] dataOut)

  Specified by:
    `gluScaleImage` in interface `GLUFunc`

### gluScaleImage

    public int gluScaleImage(int format,
                             int wIn,
                             int hIn,
                             int typeIn,
                             boolean[] dataIn,
                             int wOut,
                             int hOut,
                             int typeOut,
                             boolean[] dataOut)

  Specified by:
    `gluScaleImage` in interface `GLUFunc`

### gluScaleImage

    public int gluScaleImage(int format,
                             int wIn,
                             int hIn,
                             int typeIn,
                             long[] dataIn,
                             int wOut,
                             int hOut,
                             int typeOut,
                             long[] dataOut)

  Specified by:
    `gluScaleImage` in interface `GLUFunc`

### gluScaleImage

    public int gluScaleImage(int format,
                             int wIn,
                             int hIn,
                             int typeIn,
                             gl4java.Buffer dataIn,
                             int wOut,
                             int hOut,
                             int typeOut,
                             gl4java.Buffer dataOut)

### gluSphere

    public void gluSphere(long quad,
                          double radius,
                          int slices,
                          int stacks)

  Original Function-Prototype :

      extern void gluSphere ( GLUquadric * quad , GLdouble radius , GLint slices , GLint stacks ) ;

  Specified by:
    `gluSphere` in interface `GLUFunc`

### gluTessBeginContour

    public void gluTessBeginContour(long tess)

  Original Function-Prototype :

      extern void gluTessBeginContour ( GLUtesselator * tess ) ;

  Specified by:
    `gluTessBeginContour` in interface `GLUFunc`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(long tess,
                                    byte[] data)

  Original Function-Prototype :

      extern void gluTessBeginPolygon ( GLUtesselator * tess , GLvoid * data ) ;

  Specified by:
    `gluTessBeginPolygon` in interface `GLUFunc`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(long tess,
                                    short[] data)

  Specified by:
    `gluTessBeginPolygon` in interface `GLUFunc`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(long tess,
                                    int[] data)

  Specified by:
    `gluTessBeginPolygon` in interface `GLUFunc`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(long tess,
                                    float[] data)

  Specified by:
    `gluTessBeginPolygon` in interface `GLUFunc`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(long tess,
                                    double[] data)

  Specified by:
    `gluTessBeginPolygon` in interface `GLUFunc`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(long tess,
                                    boolean[] data)

  Specified by:
    `gluTessBeginPolygon` in interface `GLUFunc`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(long tess,
                                    long[] data)

  Specified by:
    `gluTessBeginPolygon` in interface `GLUFunc`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(long tess,
                                    gl4java.Buffer data)

### gluTessEndContour

    public void gluTessEndContour(long tess)

  Original Function-Prototype :

      extern void gluTessEndContour ( GLUtesselator * tess ) ;

  Specified by:
    `gluTessEndContour` in interface `GLUFunc`

### gluTessEndPolygon

    public void gluTessEndPolygon(long tess)

  Original Function-Prototype :

      extern void gluTessEndPolygon ( GLUtesselator * tess ) ;

  Specified by:
    `gluTessEndPolygon` in interface `GLUFunc`

### gluTessNormal

    public void gluTessNormal(long tess,
                              double valueX,
                              double valueY,
                              double valueZ)

  Original Function-Prototype :

      extern void gluTessNormal ( GLUtesselator * tess , GLdouble valueX , GLdouble valueY , GLdouble valueZ ) ;

  Specified by:
    `gluTessNormal` in interface `GLUFunc`

### gluTessProperty

    public void gluTessProperty(long tess,
                                int which,
                                double data)

  Original Function-Prototype :

      extern void gluTessProperty ( GLUtesselator * tess , GLenum which , GLdouble data ) ;

  Specified by:
    `gluTessProperty` in interface `GLUFunc`

### gluTessVertex

    public void gluTessVertex(long tess,
                              double[] location,
                              byte[] data)

  Original Function-Prototype :

      extern void gluTessVertex ( GLUtesselator * tess , GLdouble * location , GLvoid * data ) ;

  Specified by:
    `gluTessVertex` in interface `GLUFunc`

### gluTessVertex

    public void gluTessVertex(long tess,
                              double[] location,
                              short[] data)

  Specified by:
    `gluTessVertex` in interface `GLUFunc`

### gluTessVertex

    public void gluTessVertex(long tess,
                              double[] location,
                              int[] data)

  Specified by:
    `gluTessVertex` in interface `GLUFunc`

### gluTessVertex

    public void gluTessVertex(long tess,
                              double[] location,
                              float[] data)

  Specified by:
    `gluTessVertex` in interface `GLUFunc`

### gluTessVertex

    public void gluTessVertex(long tess,
                              double[] location,
                              double[] data)

  Specified by:
    `gluTessVertex` in interface `GLUFunc`

### gluTessVertex

    public void gluTessVertex(long tess,
                              double[] location,
                              boolean[] data)

  Specified by:
    `gluTessVertex` in interface `GLUFunc`

### gluTessVertex

    public void gluTessVertex(long tess,
                              double[] location,
                              long[] data)

  Specified by:
    `gluTessVertex` in interface `GLUFunc`

### gluTessVertex

    public void gluTessVertex(long tess,
                              double[] location,
                              gl4java.Buffer data)

### gluUnProject

    public int gluUnProject(double winX,
                            double winY,
                            double winZ,
                            double[] model,
                            double[] proj,
                            int[] view,
                            double[] objX,
                            double[] objY,
                            double[] objZ)

  Original Function-Prototype :

      extern GLint gluUnProject ( GLdouble winX , GLdouble winY , GLdouble winZ , const GLdouble * model , const GLdouble * proj , const GLint * view , GLdouble * objX , GLdouble * objY , GLdouble * objZ ) ;

  Specified by:
    `gluUnProject` in interface `GLUFunc`

### gluUnProject4

    public int gluUnProject4(double winX,
                             double winY,
                             double winZ,
                             double clipW,
                             double[] model,
                             double[] proj,
                             int[] view,
                             double nearVal,
                             double farVal,
                             double[] objX,
                             double[] objY,
                             double[] objZ,
                             double[] objW)

  Original Function-Prototype :

      extern GLint gluUnProject4 ( GLdouble winX , GLdouble winY , GLdouble winZ , GLdouble clipW , const GLdouble * model , const GLdouble * proj , const GLint * view , GLdouble nearVal , GLdouble farVal , GLdouble * objX , GLdouble * objY , GLdouble * objZ , GLdouble * objW ) ;

  Specified by:
    `gluUnProject4` in interface `GLUFunc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD